<?php
/**
 * newsera Theme Customizer.
 *
 * @package newsera
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
add_action( 'customize_register', 'newsera_news_customizer' );
function newsera_news_customizer($wp_customize)
{   $newsera_theme_options = newsera_get_options();	

	$wp_customize->add_panel( 'newsera_theme_option', 
		array('title' => esc_html__( 'Home Options','newsera' ), 
		'priority' => 1 
	));
 
	 /** Default Settings */    
	$wp_customize->add_panel('wp_default_panel',
		 array('priority'	 => 10,
			'capability' 	 => 'edit_theme_options',
			'theme_supports' => '',
			'title' 		 => esc_html__( 'Default Settings', 'newsera' ),
			'description'	 => esc_html__( 'Default section provided by WordPress customizer.', 'newsera' ),
		));
    
    $wp_customize->get_section( 'title_tagline' )->panel     = 'wp_default_panel';
    $wp_customize->get_section( 'colors' )->panel            = 'wp_default_panel';
    $wp_customize->get_section( 'static_front_page' )->panel = 'wp_default_panel'; 

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
    $wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'background_color' )->transport = 'refresh';
	
	$wp_customize->add_setting( 'sitedescription',
	array('sanitize_callback'=>'newsera_sanitize_checkbox',
			'capability'=>'edit_theme_options'));
	$wp_customize->add_control('sitedescription',array(
        'type' => 'checkbox',
        'label' => esc_html__('Hide Site Tagline','newsera'),
        'section' => 'title_tagline',
		 )
	);
	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.logo h1',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.logo p',
	) );
	
	// Slider Settings start
	$wp_customize->add_section('slider_sec',	
		array('title' =>  esc_html__( 'Theme Slider Options','newsera' ),
			'panel'=>'newsera_theme_option',
            'description' => esc_html__('Here you can manage slider','newsera'),
			'capability'=>'edit_theme_options',
            'priority' => 35,
        ));
		
	$wp_customize->add_setting('newsera_options_wp_news_slider',
	array('sanitize_callback'=>'newsera_sanitize_checkbox',
			'capability'=>'edit_theme_options'));	
	$wp_customize->add_control( 'wp_news_slider', 
		array('label'=> esc_html__( 'Show Slider on Home Page', 'newsera' ),
			'type'=>'checkbox',
			'section'    => 'slider_sec',
			'settings'   => 'newsera_options_wp_news_slider',
		));
		
	$wp_customize->add_setting('newsera_options_wp_news_slider_shortcode',
		array('type' => 'theme_mod',
			'default'=>'',
			'capability' => 'edit_theme_options',
			'sanitize_callback'=>'newsera_sanitize_text',
		));
	$wp_customize->add_control( 'wp_news_slider_shortcode', array(
		'label'        => esc_html__('Put Ultimate Sliders shortcode Here', 'newsera' ),
		'type'=>'text',
		'section'    => 'slider_sec',
		'settings'   => 'newsera_options_wp_news_slider_shortcode'
	) );

	// Slider Settings End
	
	// layout //
	$wp_customize->add_section('theme_layout',array(
	'title'=>esc_html__('Theme Layout','newsera'),
	'panel'=>'newsera_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
		
	$wp_customize->add_setting( 'layout_selector', array(
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'newsera_sanitize_text',
	  'default' => 'full-width',
	) );

	$wp_customize->add_control( 'layout_selector', array(
	'type' => 'select',
	 'section' => 'theme_layout', // Add a default or your own section
	 'label' => esc_html__( 'Select Theme Layout From Here','newsera' ),
	 'description' => esc_html__( 'This option is only For Full Width.','newsera' ),
	 'choices' => array(
	'full-width' => esc_html__( 'full-width','newsera' ),
	'boxed' => esc_html__( 'box-layout','newsera' ),
	 ),
	) );
	// layout //
	
	
	// Breaking news //
	$wp_customize->add_section('hot_news',array(
	'title'=>esc_html__("Breaking News Section",'newsera'),
	'panel'=>'newsera_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	
	$wp_customize->add_setting('date', array(
      'priority' => 1,
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'newsera_sanitize_checkbox' //done
   ));

   $wp_customize->add_control('date', array(
      'type' => 'checkbox',
      'label' => esc_html__('Show date on header', 'newsera'),
      'section' => 'hot_news',
      'settings' => 'date'
   ));	
   $wp_customize->selective_refresh->add_partial( 'date', array(
		'selector' => '.col-md-12.date',
	) );
   
	$wp_customize->add_setting('breaking_news', array(
      'priority' => 1,
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'newsera_sanitize_checkbox' //done
   ));

   $wp_customize->add_control('spidermag_breaking_news', array(
      'type' => 'checkbox',
      'label' => esc_html__('Enable the breaking news section', 'newsera'),
      'section' => 'hot_news',
      'settings' => 'breaking_news'
   ));	
   
   $wp_customize->add_setting('breaking_news_title',array(
		'type'=>'theme_mod',
		'capability'=>'edit_theme_options',
		'sanitize_callback'=>'newsera_sanitize_text',
	));
		
	$wp_customize->add_control( 'breaking_news_title', array(
		'label'        => esc_html__( 'Breaking News Title', 'newsera' ),
		'type'=>'text',
		'section'    => 'hot_news',
		'settings'   => 'breaking_news_title'
	)); 
	$wp_customize->selective_refresh->add_partial( 'breaking_news_title', array(
		'selector' => '.bre-latest',
	) );
	$wp_customize->add_setting('breadcrumb', array(
      'priority' => 1,
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'newsera_sanitize_checkbox' //done
   ));

   $wp_customize->add_control('breadcrumb', array(
      'type' => 'checkbox',
      'label' => esc_html__('Enable breadcrumb section', 'newsera'),
      'section' => 'hot_news',
      'settings' => 'breadcrumb'
   ));	
	// Breaking news end //
	
	// Home Second Blog Section Start
	$wp_customize->add_section('wp_news_secondblog_section',array(
	'title'=>esc_html__("Home Second Blog Options",'newsera'),
	'panel'=>'newsera_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	$wp_customize->add_setting('newsera_options_second_blog',
		array('sanitize_callback'=>'newsera_sanitize_checkbox',
		'capability'=>'edit_theme_options'));
	$wp_customize->add_control( 'wp_news_sideblog', array(
		'label'        => esc_html__( 'Show Side Post on Home Page', 'newsera' ),
		'type'=>'checkbox',
		'section'    => 'wp_news_secondblog_section',
		'settings'   => 'newsera_options_second_blog',
	) );
	
	$wp_customize->add_setting('newsera_options_wp_news_blog2_showtitle',
		array('sanitize_callback'=>'newsera_sanitize_checkbox',
		'capability'=>'edit_theme_options'));
	$wp_customize->add_control( 'wp_news_secondpost_title', array(
		'label'        => esc_html__( 'Show Second Post Title', 'newsera' ),
		'description'=> esc_html__( 'Show Category Name as Title', 'newsera' ),
		'type'=>'checkbox',
		'section'    => 'wp_news_secondblog_section',
		'settings'   => 'newsera_options_wp_news_blog2_showtitle',
	) );	
	
	$wp_customize->add_setting('wp_news_blog_slider1', 
        array('type' => 'theme_mod',
        'default'=>'',
        'capability' => 'edit_theme_options', 
        'sanitize_callback'=>'newsera_sanitize_text'));
         
    $wp_customize->add_control( new newsera_news_category_Control($wp_customize,'blog_cat1', 
        array('label'=>esc_html__( 'Choose Side Post Category ','newsera'),
        'section'=>'wp_news_secondblog_section', 
        'settings' => 'wp_news_blog_slider1')) 
    );
	// Home Blog2 Section end
	
	// Home Blog3 Section Start
	$wp_customize->add_section('wp_news_thirdblog_section',array(
	'title'=>esc_html__("Home Third Blog Options",'newsera'),
	'panel'=>'newsera_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	$wp_customize->add_setting('newsera_options_wp_news_third_blog',array(
		'type'=>'theme_mod',
		'sanitize_callback'=>'newsera_sanitize_checkbox',
		'capability'=>'edit_theme_options'
	));
		
	$wp_customize->add_control( 'wp_news_third_blog', array(
		'label'        => esc_html__( 'Show Third Post on Home Page', 'newsera' ),
		'type'=>'checkbox',
		'section'    => 'wp_news_thirdblog_section',
		'settings'   => 'newsera_options_wp_news_third_blog',
	) );
	
	$wp_customize->add_setting('newsera_options_wp_news_blog3_showtitle',
		array('sanitize_callback'=>'newsera_sanitize_checkbox',
		'capability'=>'edit_theme_options'));
	$wp_customize->add_control( 'wp_news_thirdpost_title', array(
		'label'        => esc_html__( 'Show Third Post Title', 'newsera' ),
		'description'=> esc_html__( 'Show Category Name as Title', 'newsera' ),
		'type'=>'checkbox',
		'section'    => 'wp_news_thirdblog_section',
		'settings'   => 'newsera_options_wp_news_blog3_showtitle',
	) );	
	
	$wp_customize->add_setting('wp_news_blog_slider3', 
        array('type' => 'theme_mod',
        'default'=>'',
        'capability' => 'edit_theme_options', 
        'sanitize_callback'=>'newsera_sanitize_text'));
         
    $wp_customize->add_control( new newsera_news_category_Control($wp_customize,'blog_cat3', 
        array('label'=>esc_html__( 'Choose third Post Category ','newsera'),
        'section'=>'wp_news_thirdblog_section', 
        'settings' => 'wp_news_blog_slider3')) 
    );
	// Home Blog3 Section end
	
	// Home Blog4 Section Start
	$wp_customize->add_section('wp_news_fourthblog_section',array(
	'title'=>esc_html__("Home Fourth Blog Options",'newsera'),
	'panel'=>'newsera_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	$wp_customize->add_setting('newsera_options_fourth_blog',
		array(
		'sanitize_callback'=>'newsera_sanitize_checkbox',
		'capability'=>'edit_theme_options'
	));
	$wp_customize->add_control( 'wp_news_thirdblog', array(
		'label'        => esc_html__( 'Show Fourth Post on Home Page', 'newsera' ),
		'type'=>'checkbox',
		'section'    => 'wp_news_fourthblog_section',
		'settings'   => 'newsera_options_fourth_blog',
	) );
	
	$wp_customize->add_setting('newsera_options_wp_news_blog4_showtitle',
		array(
		'sanitize_callback'=>'newsera_sanitize_checkbox',
		'capability'=>'edit_theme_options'
	));
		
	$wp_customize->add_control( 'wp_news_fourthpost_title', array(
		'label'        => esc_html__( 'Show Fourth Post Title', 'newsera' ),
		'description'=> esc_html__( 'Show Category Name as Title', 'newsera' ),
		'type'=>'checkbox',
		'section'    => 'wp_news_fourthblog_section',
		'settings'   => 'newsera_options_wp_news_blog4_showtitle',
	) );	
	
	$wp_customize->add_setting('wp_news_blog_slider4', 
        array('type' => 'theme_mod',
        'default'=>'',
        'capability' => 'edit_theme_options', 
        'sanitize_callback'=>'newsera_sanitize_text'));
         
    $wp_customize->add_control( new newsera_news_category_Control($wp_customize,'blog_cat4', 
        array('label'=>esc_html__( 'Choose Fourth Post Category ','newsera'),
        'section'=>'wp_news_fourthblog_section', 
        'settings' => 'wp_news_blog_slider4')) 
    );
	// Home Blog4 Section end
	
	// Home Blog5 Section Start
	$wp_customize->add_section('wp_news_fifthblog_section',array(
	'title'=>esc_html__("Blog Options",'newsera'),
	'panel'=>'newsera_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	$wp_customize->add_setting('newsera_options_fifth_blog',
		array(
		'default'=>'1',
		'sanitize_callback'=>'newsera_sanitize_checkbox',
		'capability'=>'edit_theme_options'));
	$wp_customize->add_control( 'wp_news_fifth_blog', array(
		'label'        => esc_html__( 'Show Recent Post on Home Page', 'newsera' ),
		'type'=>'checkbox',
		'section'    => 'wp_news_fifthblog_section',
		'settings'   => 'newsera_options_fifth_blog',
	) );
	
	$wp_customize->add_setting('newsera_options_wp_news_blog5_showtitle',
		array('sanitize_callback'=>'newsera_sanitize_checkbox',
		'capability'=>'edit_theme_options'));
	$wp_customize->add_control( 'wp_news_fifthpost_title', array(
		'label'        => esc_html__( 'Show Blog Title', 'newsera' ),
		'type'=>'checkbox',
		'section'    => 'wp_news_fifthblog_section',
		'settings'   => 'newsera_options_wp_news_blog5_showtitle',
	) );	
	
	$wp_customize->add_setting('newsera_options_wp_news_blog5_title',
	array('type' => 'theme_mod',
		'default'=>'',
		'capability' => 'edit_theme_options',
		'sanitize_callback'=>'newsera_sanitize_text',
	));
	$wp_customize->add_control( 'wp_news_fifthblog_title', array(
		'label'        => esc_html__('Show Blog Heading', 'newsera' ),
		'type'=>'text',
		'section'    => 'wp_news_fifthblog_section',
		'settings'   => 'newsera_options_wp_news_blog5_title'
	) );
	$wp_customize->selective_refresh->add_partial( 'newsera_options_wp_news_blog5_title', array(
		'selector' => '.c_heading h3#blog_heading',
	) );

	// excerpt option 
    $wp_customize->add_section('excerpt_option',array(
    'title'=>__("BlogPage Option",'newsera'),
    'panel'=>'newsera_theme_option',
    'capability'=>'edit_theme_options',
    'priority' => 37,
    ));
    
    $wp_customize->add_setting( 'newsera_options_excerpt_blog', array(
        'default'=>'',
        'type'=>'theme_mod',
        'sanitize_callback'=>'newsera_sanitize_text',
        'capability'=>'edit_theme_options'
    ) );
        $wp_customize->add_control( 'excerpt_blog', array(
        'label'        => __( 'Excerpt length blog section', 'newsera' ),
        'type'=>'number',
        'section'    => 'excerpt_option',
		'description' => esc_html__('Excerpt length only for blogpage.', 'newsera'),
		'settings'   => 'newsera_options_excerpt_blog'
    ) );

	$wp_customize->add_setting('newsera_options_meta',
		array(
		'default'=>'1',
		'sanitize_callback'=>'newsera_sanitize_checkbox',
		'capability'=>'edit_theme_options'));
	$wp_customize->add_control( 'newsera_options_meta', array(
		'label'        => esc_html__( 'Meta content', 'newsera' ),
		'type'=>'checkbox',
		'section'    => 'excerpt_option',
		'description' => esc_html__('Uncheck the box for hide meta content (date, author, comment) from blogpage', 'newsera'),
		'settings'   => 'newsera_options_meta',
	) );   
	// Home Blog5 Section end

	// Footer Section
	$wp_customize->add_section('footer_section',array(
	'title'=>esc_html__("Footer Options",'newsera'),
	'panel'=>'newsera_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));	
 
 	$wp_customize->add_setting('newsera_options_footer_copyright',
		array('default'=>'Proudly Powered By WordPress',
			'type'=>'theme_mod',
			'sanitize_callback'=>'newsera_sanitize_text',
			'capability'=>'edit_theme_options')
		);
	$wp_customize->add_control('wp_news_footer_copyright',
		array('label'  => esc_html__( 'Footer Copyright Text', 'newsera' ),
			'type'=>'text',
			'section'    => 'footer_section',
			'settings'   => 'newsera_options_footer_copyright'
		) );
 
	$wp_customize->add_setting('newsera_options_developed_by_text',
		array('type'=>'theme_mod',
			'default'=>'Developed By woow-themes.com',		
			'sanitize_callback'=>'newsera_sanitize_text',
			'capability'=>'edit_theme_options')
		);
	$wp_customize->add_control( 'wp_news_developed_by_text', 
		array('label'	=> esc_html__( 'Developed By Text', 'newsera' ),
			'type'=>'text',
			'section'    => 'footer_section',
			'settings'   => 'newsera_options_developed_by_text')
		);
 
 	$wp_customize->add_setting('newsera_options_developed_by_link',
		array( 'type'=>'theme_mod',
			'default'=>'http://www.woow-themes.com',		
			'capability'=>'edit_theme_options',
			'sanitize_callback'=>'esc_url_raw')
		);
	$wp_customize->add_control( 'wp_newsw_developed_by_link', 
		array('label' => esc_html__( 'Developed By Link', 'newsera' ),
			'type'=>'url',
			'section'  => 'footer_section',
			'settings'=> 'newsera_options_developed_by_link'
		) );
		
	$wp_customize->add_setting('newsera_options_slide_up',
		array('sanitize_callback'=>'newsera_sanitize_checkbox',
			'capability'=>'edit_theme_options'));
			
	$wp_customize->add_control( 'wp_news_slideup', 
		array('label'=> esc_html__( 'Show SlideUp Arrow', 'newsera' ),
			'type'=>'checkbox',
			'section'    => 'footer_section',
			'settings'   => 'newsera_options_slide_up',
		));

	
	//socail option
	$wp_customize->add_section( 'newsera_header_settings' , 
		array('title'  => esc_html__( 'Social Icon Settings', 'newsera' ),
		'description' => esc_html__( '*/ Social media icon only shows at header */','newsera'),
		'panel'=>'newsera_theme_option',
	));
		
	$wp_customize->add_setting('newsera_theme_options_wp_news_social_media',
		array('sanitize_callback'=>'newsera_sanitize_checkbox',
		'capability'=>'edit_theme_options'
	));
	
 	$wp_customize->add_control( 'wp_news_social_media', 
		array('label'    => esc_html__( 'Enable Social Media Icons For Header', 'newsera' ),
			'type'       => 'checkbox',
			'section'    => 'newsera_header_settings',
			'settings'   => 'newsera_theme_options_wp_news_social_media'
	));
	
	$wp_customize->selective_refresh->add_partial( 'newsera_theme_options_wp_news_social_media', array(
		'selector' => '.social',
	) );
	
	if (get_template_directory() !== get_stylesheet_directory()) {
		
	$wp_customize->add_setting('newsera_theme_options_wp_news_socialf_media',
		array('sanitize_callback'=>'newsera_sanitize_checkbox',
		'capability'=>'edit_theme_options'
	));
	$wp_customize->add_control( 'wp_news_social_mediaf', 
		array('label'    => esc_html__( 'Enable Social Media Icons For Footer', 'newsera' ),
			'type'       => 'checkbox',
			'section'    => 'newsera_header_settings',
			'settings'   => 'newsera_theme_options_wp_news_socialf_media'
	));	
	}

	$wp_customize->add_setting('newsera_options_facbook_link',
		array('sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
	));
	$wp_customize->add_control( 'facbook_link', 
		array('label'    => esc_html__( 'Facebook', 'newsera' ),
		'type'		 => 'url',
		'section'    => 'newsera_header_settings',
		'settings'   => 'newsera_options_facbook_link'
	));
 
	$wp_customize->add_setting('newsera_options_twitter_link',
	array('sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
	));
	
	$wp_customize->add_control( 'twitter_link',
	array('label'    => esc_html__( 'Twitter', 'newsera' ),
		'type'			 => 'url',
		'section'    => 'newsera_header_settings',
		'settings'   => 'newsera_options_twitter_link'
	));
	
	$wp_customize->add_setting('newsera_options_youtube_link',
		array('sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
	));
	$wp_customize->add_control( 'youtube_link', 
		array('label'        => esc_html__( 'Youtube', 'newsera' ),
		'type'			 => 'url',
		'section'   	 => 'newsera_header_settings',
		'settings'  	 => 'newsera_options_youtube_link'
	));
 
	$wp_customize->add_setting('newsera_options_linkdin_link',
		array('sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
	));
	$wp_customize->add_control( 'linkdin_link', 
		array('label'        => esc_html__( 'Linkedin', 'newsera' ),
		'type'		     => 'url',
		'section'   	 => 'newsera_header_settings',
		'settings'  	 => 'newsera_options_linkdin_link'
	));
 
	$wp_customize->add_setting('newsera_options_goglpls_link',
		array('sanitize_callback'=>'esc_url_raw',
			'capability'=>'edit_theme_options'));
	$wp_customize->add_control( 'goglpls_link',	
		array('label'     	=> esc_html__( 'Google Plus', 'newsera' ),
		'type'			=> 'url',
		'section'    	=> 'newsera_header_settings',
		'settings'      => 'newsera_options_goglpls_link'
	));
	
 	//sanitize callbacks
	function newsera_sanitize_text( $input ) {
    	return wp_kses_post( force_balance_tags( $input ) );
	}
	
 	function newsera_sanitize_checkbox( $input ) {
	   if ( $input == 1 ) {
			return 1 ;
		} else {
			return 0;
		}
	}
 
	function newsera_sanitize_integer( $input ) {
		return absint(($input));
	}
}
/* class for categories */
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'newsera_news_category_Control' ) ) :
class newsera_news_category_Control extends WP_Customize_Control 
{   public function render_content(){ ?>
		<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
		<?php  $wp_news_category = get_categories(); ?>
		<select <?php $this->link(); ?> >
			<option value= "" <?php if($this->value()=='') echo 'selected="selected"';?>><?php esc_html_e('Default Category','newsera'); ?></option>
			<?php foreach($wp_news_category as $category){ ?>
				<option value= "<?php echo esc_attr($category->cat_name); ?>" <?php if($this->value()=='') echo 'selected="selected"';?> ><?php echo esc_attr($category->cat_name); ?>				  </option>
			<?php } ?>
		</select> <?php
	}  /* public function ends */
}/*   class ends */
endif; 

/* class for thumbnail images */
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'Newsera_Slider_Image_Control' ) ) :
class Newsera_Slider_Image_Control extends WP_Customize_Control 
{   public function render_content(){ ?>
	<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
	<?php $args = array( 'post_type' => 'post','posts_per_page'=> -1, 'post_status'=>'publish',); 
		$wp_news_post = new WP_Query( $args ); ?>
		<select <?php $this->link(); ?> >
			<option value= "" <?php if($this->value()=='') echo 'selected="selected"';?>><?php esc_html_e('Default Image','newsera'); ?></option>
			<?php if($wp_news_post->have_posts()):
			while($wp_news_post->have_posts()):
				$wp_news_post->the_post();
				if(has_post_thumbnail()){ ?>
				 <option value= "<?php echo esc_attr(get_the_id()); ?>"<?php if($this->value()== get_the_id() ) echo 'selected="selected"';?>><?php the_title(); ?></option>
				<?php }
			endwhile; 
	        endif; ?>
		</select>
		<?php
}  /* public function ends */
}/*   class ends */
endif;
?>