<?php
/* Banner Slider with Latest Posts Widget. */

function newsera_widget_post_slider() {
    register_widget('newsera_slider_post');
}
add_action('widgets_init', 'newsera_widget_post_slider');

class newsera_slider_post extends WP_Widget {
    public function __construct() {
        parent::__construct(
			'newsera_slider_post',   // Base ID of your widget
			__('Custom Widget Slider Post', 'newsera'),  // Widget name will appear in UI
            array('description' => esc_html__('A widget that show category slider thumbinal posts with latest posts', 'newsera')
        ));
    }
	
	public function widget($args, $instance) {
		 $title = ! empty( $instance['title'] ) ? $instance['title'] : '';
		$newsera_title = apply_filters( 'widget_title', $title, $instance, $this->id_base );
	 
	// before and after widget arguments are defined by themes
	echo wp_kses_post($args['before_widget']);
	if ( ! empty( $newsera_title ) )
	echo wp_kses_post($args['before_title']) . wp_kses_post($newsera_title) . wp_kses_post($args['after_title']);
	?>
	
	
	<div class="swiper-container wp_news_slider">
	<div class="swiper-wrapper"> 		
	<?php if ( have_posts()) : 
	$newsera_posts_count =wp_count_posts()->publish;
	$newsera_args = array( 'post_type' => 'post','posts_per_page' => $newsera_posts_count);	
	$newsera_post_type_data = new WP_Query( $newsera_args ); 
	while ( $newsera_post_type_data->have_posts() ): $newsera_post_type_data->the_post(); ?>
		<div class="swiper-slide wp-caption">
		<?php if(has_post_thumbnail() ) { ?>
		<img src="<?php echo esc_url(the_post_thumbnail_url()); ?>" alt="<?php  the_title_attribute(); ?>" class="home_slider img-responsive" />
		<div class="overlay"></div>
			<div class="container">
				<div class="carousel-caption">
					<h1><span><?php the_title();?></span></h1>
				</div>
			</div>
		<?php } ?>
		</div>
	<?php endwhile; ?>
	<?php wp_reset_postdata(); ?>
			<?php endif;  ?>
	</div>
	</div> 
	
	<?php
	}
	
	// Widget Backend 
	public function form( $instance ) {
	if ( isset( $instance[ 'title' ] ) ) {
	$title = $instance[ 'title' ];
	}
	else {
	$title = esc_html__( 'New title', 'newsera' );
	}
	// Widget admin form
	?>
	<p>
	<label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html__( 'Title:','newsera' ); ?></label> 
	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />

	<?php
	}
	public function update( $new_instance, $old_instance ) {
	                $new_instance = wp_parse_args(
                       $new_instance, array(
                                'title'  => '',
	                                'text'   => '',
	                                'filter' => false, // For back-compat.
	                                'visual' => null, // Must be explicitly defined.
	                        )
	                );

	                $instance = $old_instance;
	
	                $instance['title'] = sanitize_text_field( $new_instance['title'] );
	                if ( current_user_can( 'unfiltered_html' ) ) {
                        $instance['text'] = $new_instance['text'];
	                } else {
                        $instance['text'] = wp_kses_post( $new_instance['text'] );
	                }

	                $instance['filter'] = ! empty( $new_instance['filter'] );
	
	                // Upgrade 4.8.0 format.
	                if ( isset( $old_instance['filter'] ) && 'content' === $old_instance['filter'] ) {
	                        $instance['visual'] = true;
	                }
	                if ( 'content' === $new_instance['filter'] ) {
	                        $instance['visual'] = true;
	                }
	
	                if ( isset( $new_instance['visual'] ) ) {
	                        $instance['visual'] = ! empty( $new_instance['visual'] );
	                }
	
	                // Filter is always true in visual mode.
	                if ( ! empty( $instance['visual'] ) ) {
	                        $instance['filter'] = true;
	                }
	
	                return $instance;
	        }  
}
?>