<?php // Register and load the widget
error_reporting(E_ALL & ~E_NOTICE);
function newsera_widget_post() {
    register_widget( 'newsera_widget_post' );
}
add_action( 'widgets_init', 'newsera_widget_post' );

// Creating the widget 
class newsera_widget_post extends WP_Widget {
 
function __construct() {
parent::__construct(
 
// Base ID of your widget
'newsera_widget_post', 
 
// Widget name will appear in UI
__('Custom Widget Post', 'newsera'), 
 
// Widget description
array( 'description' => __( 'Recent Post', 'newsera' ), ) 
);
}

public function widget( $args, $instance ) {
	 $title = ! empty( $instance['title'] ) ? $instance['title'] : '';
	 $newsera_title = apply_filters( 'widget_title', $title, $instance, $this->id_base );
//$newsera_title = apply_filters( 'widget_title', $instance['title'] );
 
// before and after widget arguments are defined by themes
echo wp_kses_post($args['before_widget']);
if ( ! empty( $newsera_title ) )
echo wp_kses_post($args['before_title']) . wp_kses_post($newsera_title) . wp_kses_post($args['after_title']);
 ?>
<div class="row divider-1 blogs">
<div class="newsblog-section-bigblock">
<?php if ( have_posts()) : 			
		$newsera_posts_count = 4;
		$args = array( 'post_type' => 'post','posts_per_page' => $newsera_posts_count,'category_name' =>get_theme_mod('wp_news_blog_slider_3'));	
		$newsera_post_type_data = new WP_Query( $args );
		while($newsera_post_type_data->have_posts()):
		$newsera_post_type_data->the_post();  ?>
		<div class="col-md-12  blog-sidebar">
			<div class="side-image">
				<?php if(has_post_thumbnail()): ?>
				<?php $newsera_data= array('class' =>'img-responsive'); 
				the_post_thumbnail('newsera-post-thumb', $newsera_data); ?>
				<?php endif; ?>
			</div>
			<div class="sidebar-blog-details">
			<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
			<span><?php if(get_the_date() !='') { ?>
			<?php echo get_the_date();?>
			<?php } ?>
			</span>
			</div>
		</div>
		<?php endwhile;
		wp_reset_postdata(); 
	endif; ?>
</div>
</div>
<?php // post close //
}
// Widget Backend 
public function form( $instance ) {
if ( isset( $instance[ 'title' ] ) ) {
$newsera_title = $instance[ 'title' ];
}
else {
$newsera_title = __( 'New title', 'newsera' );
}
// Widget admin form
?>
<p>
<label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html__( 'Title:','newsera' ); ?></label> 
<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $newsera_title ); ?>" />
</p>
<?php 
}
/* Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
return $instance;
}*/
 // Class wpb_widget ends here

	public function update( $new_instance, $old_instance ) {
	                $new_instance = wp_parse_args(
                       $new_instance, array(
                                'title'  => '',
	                                'text'   => '',
	                                'filter' => false, // For back-compat.
	                                'visual' => null, // Must be explicitly defined.
	                        )
	                );

	                $instance = $old_instance;
	
	                $instance['title'] = sanitize_text_field( $new_instance['title'] );
	                if ( current_user_can( 'unfiltered_html' ) ) {
                        $instance['text'] = $new_instance['text'];
	                } else {
                        $instance['text'] = wp_kses_post( $new_instance['text'] );
	                }

	                $instance['filter'] = ! empty( $new_instance['filter'] );
	
	                // Upgrade 4.8.0 format.
	                if ( isset( $old_instance['filter'] ) && 'content' === $old_instance['filter'] ) {
	                        $instance['visual'] = true;
	                }
	                if ( 'content' === $new_instance['filter'] ) {
	                        $instance['visual'] = true;
	                }
	
	                if ( isset( $new_instance['visual'] ) ) {
	                        $instance['visual'] = ! empty( $new_instance['visual'] );
	                }
	
	                // Filter is always true in visual mode.
	                if ( ! empty( $instance['visual'] ) ) {
	                        $instance['filter'] = true;
	                }
	
	                return $instance;
	        }
}
?>