<?php
/**
 * newsera functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package newsera
 */


/*After Theme Setup*/		
function newsera_head_setup(){
		 /*
		 * Make theme available for translation. Translations can be filed in the /lang/ directory.
		 * If you're building a theme based on newsera, use a find and replace, to change 'newsera' to the name of your theme in all the template files.
		 */
		load_theme_textdomain( 'newsera', get_template_directory() . '/languages' );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );
	
		/** Woocommerce support **/
		add_theme_support( 'woocommerce' );
		add_theme_support( 'wc-product-gallery-zoom' );
		add_theme_support( 'wc-product-gallery-lightbox' );
		add_theme_support( 'wc-product-gallery-slider' );
		
		/*
		* Let WordPress manage the document title. By adding theme support, we declare that this theme does not use a
		* provide it for us.
		*/
		add_theme_support( 'title-tag' );

		/** Enable support for Post Thumbnails on posts and pages. ***/
		add_theme_support( 'post-thumbnails' );

		/** This theme uses wp_nav_menu() in one location. **/
		register_nav_menu( 'primary', esc_html__( 'Primary Menu', 'newsera' ) );

		global $content_width;
		//content width
		if ( ! isset( $content_width ) ) $content_width = 990; //px
	
		//Blog Thumb Image Sizes
		add_image_size('newsera_news_post_thumb',750,391,true);
		//Blogs thumbs
		add_image_size('newsera_news_page_thumb',730,350,true);	
		add_image_size('newsera_blog_thumb',500,300,true);
		add_image_size('newsera_slider_thumb',1349,703,true);
	
		add_theme_support( 'custom-logo', array(
			'header-text' => array( 'site-title'),
		) );
		
		add_theme_support( 'customize-selective-refresh-widgets' );
	
		// Set up the WordPress core custom background feature.
		add_theme_support( 'custom-background', apply_filters( 'newsera_custom_background_args', array(
			'default-color' => 'ffffff',
			'default-image' => '',
		) ) );
		
		$args = array(
		'width'         => 1200,
		'height'        => 200,
		'uploads'       => true,
		'flex-width'    => false,
		'default-repeat' => '',
		'flex-height' => false,
		);
		add_theme_support( 'custom-header', $args );

	}
 	add_action('after_setup_theme', 'newsera_head_setup');
/*** Register widget area. ***/
	require get_template_directory() . '/core/newsera-widgets-area.php';

	function newsera_scripts(){
	  //css	  
	   wp_enqueue_style( 'newsera_style', get_stylesheet_uri());
	   wp_enqueue_style('newsera-bootstrap',get_template_directory_uri().'/assets/css/bootstrap/bootstrap.css');
	   wp_enqueue_style('newsera-animate-css',get_template_directory_uri().'/assets/css/animate.css');
	   wp_enqueue_style('newsera-swiper-css',get_template_directory_uri() . '/assets/css/swiper.css');
	   wp_enqueue_style('newsera-latestnews-css',get_template_directory_uri().'/assets/css/latestnews.css');
	   wp_enqueue_style('newsera-font-awesome',get_template_directory_uri().'/assets/css/font-awesome/css/font-awesome.css');
	   wp_enqueue_style('newsera-ticker-style', get_template_directory_uri() .'/assets/css/ticker-style.css');

	  //script 
	   wp_enqueue_script('jquery');
	   wp_enqueue_script('newsera-bootstrap-js',get_template_directory_uri().'/js/bootstrap.js', array('jquery'));
	   wp_enqueue_script('newsera-ticker-js', get_template_directory_uri() .'/js/jquery.ticker.js');
	   wp_enqueue_script('newsera-swiper-js',get_template_directory_uri().'/js/swiper.js');	
	   wp_enqueue_script('newsera-jquery.carouFredSel', get_template_directory_uri() .'/js/carouFredSel-6.2.1/jquery.carouFredSel-6.2.1.js');
       wp_enqueue_script('newsera-carouFredSel-element', get_template_directory_uri() .'/js/carouFredSel-6.2.1/caroufredsel-element.js');
       wp_enqueue_script('newsera-custom-script',get_template_directory_uri().'/js/custom_script.js');	   
	   wp_enqueue_script('newsera_footer_script',get_template_directory_uri().'/js/footer_script.js', array('jquery'), '1.0', true);
	   
		if ( is_singular() ) wp_enqueue_script( "comment-reply" );
	 }
	add_action('wp_enqueue_scripts', 'newsera_scripts');
	/*** Load menu nav_walker file. ***/
	require( get_template_directory() . '/core/default_menu_walker.php');
	require( get_template_directory() . '/core/newsera_nav_walker.php');

	/*** Customizer additions settings. ***/	
	require( get_template_directory() . '/assets/inc/newsera_customizer.php' );

	/**** code for comment ***/
	require( get_template_directory() . '/core/newsera-comment-function.php' );

	/*** Implement the Custom Header feature. ***/
	require get_template_directory() . '/assets/inc/custom-header.php';

	
	/**Plugin Recommandation ***/
	require( get_template_directory() . '/core/class-tgm-plugin-activation.php' );
	require( get_template_directory() . '/core/plugin_recomand.php' );
	/*** custom widget ***/
	require get_template_directory() . '/core/widget_post.php';
	require get_template_directory() . '/core/widget_banner_slider.php';
	
	/** breadcrumb **/
	require get_template_directory() . '/breadcrumb.php';
	
	// Options API	
	function newsera_get_options() {	
		return wp_parse_args(get_theme_mod('newsera_options'));  
	}
	add_filter ('the_content', 'newsera_pagination_after_post',1);
function newsera_pagination_after_post($content) {
  if(is_single()) {

     $content.= '<div class="pagination">' . wp_link_pages('before=&after=&next_or_number=next&nextpagelink=Next&previouspagelink=Previous&echo=0') . '</div>';
  }
  return $content;
}


if (is_admin()) {
require_once('assets/admin/homepage-setup.php');
require_once('assets/admin/pro-theme.php');
}
?>