 <?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package newsera
 */

get_header(); 
?>
<div class="container-fluid newsera-bredcum">
    <div class="container">
        <h1><?php esc_html_e('Home','newsera'); ?></h1>
    </div>
</div>
<!-- Blog  With Right Side bar Start -->
<div class="conatainer-fluid space w_blog">
	<div class="container">
		<div class="col-md-8 right-side blog_gallery">
			<?php if ( have_posts()){ 
				while ( have_posts() ): the_post(); ?>
					<div class=" post-2 clearfix">
						<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>		
							 <?php if(has_post_thumbnail()): ?>
							 <div class="img-thumbnail" >
								<a href="<?php the_permalink(); ?>"><?php $newsera_defalt_arg= array('class' =>'img-responsive '); the_post_thumbnail('news_post_thumb', $newsera_defalt_arg); ?></a>						
							 </div><?php endif;?>
							 <div class="col-md-12 auth_box">
								<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
								<p class="news_tag_cat">
									<?php if(get_the_tag_list() != '') { ?>
									<span class="news_tags"><?php the_tags( esc_html__('Tags : ','newsera'), '', '<br />');
									echo __("Category : ",'newsera');
										the_category(' , '); ?>
									</span>
									<?php } ?></p>
								<?php if(is_home()) { ?>
								<?php if(get_theme_mod('newsera_options_meta','1')!=""){ ?>	
								<span><i class="fa fa-calendar"></i><b><?php echo get_the_date();?></b> </span>
								<span><i class="fa fa-comment-o icon"></i><b><?php comments_number('no Comments','1 Comments','% Comments');?></b></span>
								<span><i class="fa fa-user icon"></i><b><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) )); ?>"><?php echo get_the_author(); ?></a></b></span> <?php } } ?>

								<div class="post-content">
									<?php echo esc_attr(substr(get_the_excerpt(),0,get_theme_mod('newsera_options_excerpt_blog') )); ?>
								</div>
								<?php if(!is_single() && is_page()){ ?>
								<a href="<?php the_permalink(); ?>" class="w_edit"><?php esc_html_e('Read More','newsera'); ?></a>
								<?php } ?>
							</div>
						</div>
					</div>
				<?php endwhile;
				}else{
					get_template_part('/assets/template-parts/nocontent');
				} ?>
				<div class="newsera_blog_pagination1">
				<?php the_posts_pagination( array( 'mid_size' => 2 ) ); ?>
			</div>
		</div>
		<?php get_sidebar(); ?>
	</div>
</div>
<!-- Blog  End -->
<?php get_footer(); ?>